# $Revision: 1.36 $, $Date: 2007/02/12 22:09:22 $
Summary:	Some facilities for xemacs
Summary(pl.UTF-8):	Różne dodatki do xemacsa
Name:		xemacs-pld-extras
Version:	0.21
Release:	5
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	%{name}-%{version}.tgz
# Source0-md5:	d8dac9f947ce1df4b761018bb8c8b8e2
#Source1:	http://www.xemacs.org/~stigb/rpm-spec-mode.el
Requires:	xemacs
Requires:	xemacs-cc-mode-pkg
Requires:	xemacs-pc-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
Some files that change default XEmacs behavior:
- rpm-spec-mode
- key shortcuts definitions for PSGML-mode

More information on <http://www.pld-linux.org/>.

%description -l pl.UTF-8
Pakiet zawiera różne ułatwienia i dodatki do XEmacsa:
- tryb edycji rpm-spec-mode
- definicje skrótów klawiaturowych dla PSGML-mode
- włączenie standardowego działania niektórych klawiszy

Więcej informacji na <http://www.pld-linux.org/>.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp

cp -a %{name} $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp
#install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/xemacs-packages/lisp/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-pld-extras.spec,v $
Revision 1.36  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.34  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.33  2003/11/26 17:14:06  speedy
- s/pld.org.pl/pld-linux.org/g

Revision 1.32  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.31  2003/06/23 11:43:56  ankry
- md5

Revision 1.30  2003/05/25 06:28:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:15:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/12/20 15:30:24  qboosh
- release 4: adapterized

Revision 1.25  2000/10/27 11:52:25  klakier
- some fixes

Revision 1.24  2000/08/23 13:16:53  klakier
- bunch of bugfixes

Revision 1.23  2000/07/13 13:49:14  klakier
- 0.19
  patching support fixed

Revision 1.22  2000/07/13 12:20:41  klakier
- ver 0.18
  some fixes

Revision 1.21  2000/07/11 23:35:47  klakier
- ver 0.17
- removed shift-arrow-selection - this should be set by user
  (simples method is to use pc-selection-mode)
- adapter support for rpm-spec-mode
- cool support for patching in rpm-spec-mode

Revision 1.20  2000/06/14 14:00:17  klakier
- 0.16 poprawki do rpm-mode

Revision 1.19  2000/06/10 06:23:09  klakier
- ver 0.15 some fixes

Revision 1.18  2000/06/04 15:10:38  klakier
- 0.14-3
  added enhanced rpm-spec-mode

Revision 1.17  2000/05/21 19:48:11  kloczek
- spec adapterized.

Revision 1.16  2000/04/23 13:44:36  klakier
- added functions pld-devel-preamble and pld-static-preamble to insert
  preambles of devel and static subpackages (all they look the same)

Revision 1.15  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.14  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.12  2000/03/27 15:44:32  klakier
- rev 2

Revision 1.11  2000/03/23 16:13:28  klakier
- requires cc-mode

Revision 1.10  2000/03/19 14:47:16  klakier
- ver 0.11
  added rpm-spec-mode

Revision 1.9  2000/02/25 08:18:54  kloczek
- spec adapterized,
- Group changed to Applications/Editors/Emacs.

Revision 1.8  2000/01/20 14:31:57  klakier
- 0.9, 0.10 - files moved to separate directory in /lisp
  added tricky auto-autoloads.el to automatically load everything
  removed polish keyboard defs (now in main xemacs package)

Revision 1.7  1999/12/19 21:35:20  klakier
- v0.8 fixed cursor moving with up and down keys

Revision 1.6  1999/12/10 18:25:14  klakier
- some fixes

Revision 1.5  1999/12/10 12:57:49  klakier
- Provides default.el - no need to edit ~/.emacs no more

Revision 1.4  1999/11/11 18:08:50  klakier
corrected files section

Revision 1.3  1999/11/11 14:02:17  klakier
kolejna wersja

Revision 1.2  1999/10/22 12:34:53  klakier
0.2

Revision 1.1  1999/10/21 19:26:43  klakier
Różne dodatki ułatwiające pracę z xemacsem
